org.bouncycastle.openpgp

## Class PGPUserAttributeSubpacketVectorGenerator

- java.lang.Object
- - org.bouncycastle.openpgp.PGPUserAttributeSubpacketVectorGenerator

    public class PGPUserAttributeSubpacketVectorGenerator
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PGPUserAttributeSubpacketVectorGenerator()`

### Method Summary

Methods
`PGPUserAttributeSubpacketVector` `generate()`
`void` `setImageAttribute(int imageType, byte[] imageData)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PGPUserAttributeSubpacketVectorGenerator

    public PGPUserAttributeSubpacketVectorGenerator()

### Method Detail

#### setImageAttribute

    public void setImageAttribute(int imageType,
                         byte[] imageData)

#### generate

    public PGPUserAttributeSubpacketVector generate()